%global pypi_name oslo.service
%global pname oslo-service

%if 0%{?fedora}
# FIXME: missing python3-oslo-concurrency
%global with_python3 0
%endif

Name:           python-%{pname}
Version:        0.9.0
Release:        2%{?dist}
Summary:        Oslo service library

License:        ASL 2.0
URL:            http://launchpad.net/oslo
Source0:        https://pypi.python.org/packages/source/o/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  python-pbr >= 1.3
BuildRequires:  python-sphinx
BuildRequires:  python-oslo-sphinx
BuildRequires:  python-oslo-i18n
BuildRequires:  python-paste
BuildRequires:  python-paste-deploy
BuildRequires:  python-eventlet
BuildRequires:  python-monotonic
BuildRequires:  python-six

%description
Library for running OpenStack services


%package -n     python2-%{pname}
Summary:        Oslo service library
%{?python_provide:%python_provide python2-%{pname}}
Requires:       python-babel
Requires:       python-eventlet >= 0.17.4
Requires:       python-monotonic >= 0.3
Requires:       python-oslo-config >= 2.3.0
Requires:       python-oslo-concurrency >= 2.3.0
Requires:       python-oslo-i18n >= 1.5.0
Requires:       python-oslo-log >= 1.8.0
Requires:       python-oslo-utils >= 2.0.0
Requires:       python-paste
Requires:       python-paste-deploy >= 1.5.0
Requires:       python-six >= 1.9.0


%description -n python2-%{pname}
Library for running OpenStack services


%if 0%{?with_python3}
%package -n     python3-%{pname}
Summary:        Oslo service library
%{?python_provide:%python_provide python3-%{pname}}

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr >= 1.3
Requires:       python3-babel
Requires:       python3-eventlet >= 0.17.4
Requires:       python3-monotonic >= 0.3
Requires:       python3-oslo-config >= 2.3.0
Requires:       python3-oslo-concurrency >= 2.3.0
Requires:       python3-oslo-i18n >= 1.5.0
Requires:       python3-oslo-log >= 1.8.0
Requires:       python3-oslo-utils >= 2.0.0
Requires:       python3-paste
Requires:       python3-paste-deploy >= 1.5.0
Requires:       python3-six >= 1.9.0


%description -n python3-%{pname}
Library for running OpenStack services
%endif

%package -n python-%{pname}-doc
Summary:        Oslo service documentation
%description -n python-%{pname}-doc
Documentation for oslo.service

%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py2_build
%if 0%{?with_python3}
%py3_build
%endif
# generate html docs
sphinx-build doc/source html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
# Must do the subpackages' install first because the scripts in /usr/bin are
# overwritten with every setup.py install.
%if 0%{?with_python3}
%py3_install
%endif
%py2_install


%files -n python2-%{pname}
%doc README.rst
%license LICENSE
%{python2_sitelib}/oslo_service
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%if 0%{?with_python3}
%files -n python3-%{pname}
%doc README.rst
%license LICENSE
%{python3_sitelib}/oslo_service
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
%endif

%files -n python-%{pname}-doc
%doc html
%license LICENSE

%changelog
* Tue Sep 15 2015 Haïkel Guémar <hguemar@fedoraproject.org> - 0.9.0-2
- Missing license in doc subpackage

* Mon Sep 07 2015 Haïkel Guémar <hguemar@fedoraproject.org> - 0.9.0-1
- Upstream 0.9.0

* Thu Jun 18 2015 Haïkel Guémar <hguemar@fedoraproject.org> - 0.1.0-1
- Initial package.
